Bug 783317 - Review Request: akonadi-google - Akonadi Resources for accessing Google services
Review Request: akonadi-google - Akonadi Resources for accessing Google services
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Novacek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2012-01-19 18:21 EST by Mario Santagiuliana
Modified: 2016-11-30 19:30 EST (History)
7 users (show)

See Also:
Fixed In Version: akonadi-google-0.2-11.20120121gitbe021c6.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-21 14:03:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rnovacek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mario Santagiuliana 2012-01-19 18:21:13 EST
Spec URL: http://marionline.fedorapeople.org/packages/SPECS/akonadi-google.spec
SRPM URL: http://marionline.fedorapeople.org/packages/SRPMS/akonadi-google-0.2-9.20120119git754771b.fc16.src.rpm
Description:
Akonadi Resources for accessing Google services, like Google Calendar, Google
Tasks and Google Contacts.


This project is similar to akonadi-googledata. Akonadi-google is written in Qt/C++ and the upstream create a new library to interact with google calendar: libkgoogle. Akonadi-googledata is written using C and libgcal, written in C language too but there are no update from months...

This package is created from a git snapshot. I am strict in contact with upstream.
From akonadi-google source rpm I create five packages:
- libkgoogle (the library to interact to google services);
- libkgoogle-devel (developer library);
- akonadi-google-calendar (Akonadi Resource for Google Calendar);
- akonadi-google-contacts (Akonadi Resource for Google Contacts);
- akonadi-google-tasks (Akonadi Resource for Google Tasks).
Comment 1 Radek Novacek 2012-01-20 06:27:34 EST
Name: ok
License: ok
Source: It should be stated clearly in the comment in specfile how can be the tarball obtained from git
BRs/Reqs: see below
Macros used consistently: ok
ldconfig: ok
Desktop file validations: NA
Locales: NA
Docs: install at least README to %doc. According to guidelines you should also ping upstream to add license to tarball.
Devel: ok
Files: ok
Build: ok
rpmlint: no need to fix
./akonadi-google.spec: W: invalid-url Source0: akonadi-google-0.2-git754771b.tar.gz
akonadi-google-calendar.x86_64: W: no-documentation
akonadi-google-calendar.x86_64: W: no-manual-page-for-binary akonadi_googlecalendar_resource
akonadi-google-contacts.x86_64: W: no-documentation
akonadi-google-contacts.x86_64: W: no-manual-page-for-binary akonadi_googlecontacts_resource
akonadi-google-tasks.x86_64: W: no-documentation
akonadi-google-tasks.x86_64: W: no-manual-page-for-binary akonadi_googletasks_resource
libkgoogle-devel.x86_64: W: spelling-error Summary(en_US) akonadi -> Kodiak
libkgoogle-devel.x86_64: W: spelling-error Summary(en_US) google -> Google, goggle, googly
libkgoogle-devel.x86_64: W: spelling-error %description -l en_US akonadi -> Kodiak
libkgoogle-devel.x86_64: W: spelling-error %description -l en_US google -> Google, goggle, googly
libkgoogle-devel.x86_64: W: no-documentation

I have some comments to subpackages, its only my recommendations, I'm open to other suggestions:
* contacts, calendar and tasks subpackage should Require: libkgoogle subpackage with same version to prevent breakage on API/ABI change
* I would let the base package empty and add Requires to all subpackages (except devel). This makes it easier for user to install all of them at once. Add section %files without any content to generate base package too.
Comment 2 Mario Santagiuliana 2012-01-20 07:34:25 EST
Spec URL: http://marionline.fedorapeople.org/packages/SPECS/akonadi-google.spec
SRPM URL: http://marionline.fedorapeople.org/packages/SRPMS/akonadi-google-0.2-10.20120120git11bf6ad.fc16.src.rpm

Changelog is:
- Update Specfile with comment #1
- Update to git snapshot 11bf6ad40dd93eda1f880a99d592009ea3ff47ac
- Include LICENSE
Comment 3 Radek Novacek 2012-01-20 07:54:24 EST
Thanks for fixing all the issues. Setting fedora-review+.
Comment 4 Mario Santagiuliana 2012-01-20 07:59:16 EST
Thank you Radek for your review!
Comment 5 Mario Santagiuliana 2012-01-20 08:03:13 EST
New Package SCM Request
=======================
Package Name: akonadi-google
Short Description: Akonadi Resources for accessing Google services
Owners: marionline
Branches: f15 f16
InitialCC:
Comment 6 Jon Ciesla 2012-01-20 09:12:00 EST
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-01-21 14:05:40 EST
akonadi-google-0.2-11.20120121gitbe021c6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/akonadi-google-0.2-11.20120121gitbe021c6.fc16
Comment 8 Fedora Update System 2012-01-21 14:06:43 EST
akonadi-google-0.2-11.20120121gitbe021c6.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/akonadi-google-0.2-11.20120121gitbe021c6.fc15
Comment 9 Fedora Update System 2012-01-29 14:55:26 EST
akonadi-google-0.2-11.20120121gitbe021c6.fc15 has been pushed to the Fedora 15 stable repository.
Comment 10 Fedora Update System 2012-01-29 14:57:08 EST
akonadi-google-0.2-11.20120121gitbe021c6.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.